window.Gleam.initSearch([{"doc":"starmap","title":"starmap","content":"# Starmap\n\n**THIS IS VERY WORK IN PROGRESS! EVERYTHING CAN (and probably will) BREAK!**\n\nBut feel free to try it out!\n\n[![Package Version](https://img.shields.io/hexpm/v/starmap)](https://hex.pm/packages/starmap)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/starmap/)\n\n## Plans for v0.1.X (Current)\n\n- Fix bugs that might occur\n- Support all operations with 1-9 columns\n- Start with documentation\n\n## Plans for v0.2.0\n\n- Better documentation\n- Split project to `starmap` and `starmap_sqlight`\n- Remove dependency of `sqlight` from `starmap`\n- Create `starmap_pgo`\n\n## Usage\n\n```sh\ngleam add starmap\n```\n\n```gleam\nimport gleam/int\nimport gleam/io\nimport gleam/list\nimport gleam/option.{type Option, None, Some}\nimport sqlight\nimport starmap/creation\nimport starmap/insertion\nimport starmap/query\nimport starmap/schema.{type Column, Column, PrimaryKey}\nimport starmap/sqlight/execute\nimport starmap/sqlight/types\n\nconst accounts_table = &quot;accounts&quot;\n\nconst accounts = Accounts(\n  id: Column(accounts_table, &quot;id&quot;, types.integer, [PrimaryKey]),\n  name: Column(accounts_table, &quot;name&quot;, types.text, []),\n  avatar: Column(accounts_table, &quot;avatar&quot;, types.text_nullable, []),\n)\n\npub type Accounts(a) {\n  Accounts(\n    id: Column(Int, a),\n    name: Column(String, a),\n    avatar: Column(Option(String), a),\n  )\n}\n\npub fn main() {\n  use conn &lt;- sqlight.with_connection(&quot;:memory:&quot;)\n\n  let assert Ok(_) =\n    accounts_table\n    |&gt; creation.create_table3(accounts.id, accounts.name, accounts.avatar)\n    |&gt; execute.create_table3(conn)\n\n  let assert Ok(_) =\n    insertion.insert_into(accounts_table)\n    |&gt; insertion.columns2(accounts.name, accounts.avatar)\n    |&gt; insertion.values([\n      #(&quot;Lucy&quot;, Some(&quot;lucy.svg&quot;)),\n      #(&quot;John Doe&quot;, None),\n      #(&quot;MoeDev&quot;, None),\n    ])\n    |&gt; execute.insertion2(conn)\n\n  let assert Ok(results) =\n    query.from(accounts_table)\n    |&gt; query.select3(accounts.id, accounts.name, accounts.avatar)\n    |&gt; execute.query3(conn)\n\n  results\n  |&gt; list.map(fn(row) {\n    let #(id, name, avatar) = row\n    int.to_string(id) &lt;&gt; &quot; &quot; &lt;&gt; name &lt;&gt; &quot; &quot; &lt;&gt; option.unwrap(avatar, &quot;&quot;)\n  })\n  |&gt; list.each(io.println)\n  // 1 Lucy lucy.svg\n  // 2 John Doe \n  // 3 MoeDev\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/starmap&gt;.\n","url":"index.html"},{"doc":"starmap/schema","title":"Column","content":"pub type Column(datatype, value) {\n  Column(\n    table: String,\n    name: String,\n    column_type: ColumnType(datatype, value),\n    arguments: List(ColumnArguments),\n  )\n}\n\nColumn(\n  table: String,\n  name: String,\n  column_type: ColumnType(datatype, value),\n  arguments: List(ColumnArguments),\n)\n\n\nSynonyms:\nstarmap/schema.Column\nstarmap/schema Column","url":"starmap/schema.html#Column"},{"doc":"starmap/schema","title":"ColumnArguments","content":"pub type ColumnArguments {\n  PrimaryKey\n  ForeignKey(ref_table: String, ref_column: String)\n  Custom(s: String)\n}\n\nPrimaryKey\n\n\nForeignKey(ref_table: String, ref_column: String)\n\n\nCustom(s: String)\n\n\nSynonyms:\nstarmap/schema.ColumnArguments\nstarmap/schema ColumnArguments","url":"starmap/schema.html#ColumnArguments"},{"doc":"starmap/schema","title":"ColumnType","content":"pub type ColumnType(datatype, value) {\n  ColumnType(\n    name: String,\n    nullable: Bool,\n    encoding: Encoding(datatype, value),\n  )\n}\n\nColumnType(\n  name: String,\n  nullable: Bool,\n  encoding: Encoding(datatype, value),\n)\n\n\nSynonyms:\nstarmap/schema.ColumnType\nstarmap/schema ColumnType","url":"starmap/schema.html#ColumnType"},{"doc":"starmap/schema","title":"Encoding","content":"pub type Encoding(datatype, value) {\n  Encoding(\n    encoder: fn(datatype) -&gt; value,\n    decoder: fn(Dynamic) -&gt; Result(datatype, DecodeErrors),\n  )\n}\n\nEncoding(\n  encoder: fn(datatype) -&gt; value,\n  decoder: fn(Dynamic) -&gt; Result(datatype, DecodeErrors),\n)\n\n\nSynonyms:\nstarmap/schema.Encoding\nstarmap/schema Encoding","url":"starmap/schema.html#Encoding"},{"doc":"starmap/schema","title":"starmap/schema","content":"","url":"starmap/schema.html"},{"doc":"starmap/creation","title":"CreateTable","content":"pub type CreateTable(t_columns) {\n  CreateTable(table: String, columns: t_columns)\n}\n\nCreateTable(table: String, columns: t_columns)\n\n\nSynonyms:\nstarmap/creation.CreateTable\nstarmap/creation CreateTable","url":"starmap/creation.html#CreateTable"},{"doc":"starmap/creation","title":"create_table1","content":"pub fn create_table1(\n  table: String,\n  column1: Column(a, b),\n) -&gt; CreateTable(Column(a, b))\n\nSynonyms:\nstarmap/creation.create_table1\nstarmap/creation create_table1","url":"starmap/creation.html#create_table1"},{"doc":"starmap/creation","title":"create_table2","content":"pub fn create_table2(\n  table: String,\n  column1: Column(a, b),\n  column2: Column(c, b),\n) -&gt; CreateTable(#(Column(a, b), Column(c, b)))\n\nSynonyms:\nstarmap/creation.create_table2\nstarmap/creation create_table2","url":"starmap/creation.html#create_table2"},{"doc":"starmap/creation","title":"create_table3","content":"pub fn create_table3(\n  table: String,\n  column1: Column(a, b),\n  column2: Column(c, b),\n  column3: Column(d, b),\n) -&gt; CreateTable(#(Column(a, b), Column(c, b), Column(d, b)))\n\nSynonyms:\nstarmap/creation.create_table3\nstarmap/creation create_table3","url":"starmap/creation.html#create_table3"},{"doc":"starmap/creation","title":"create_table4","content":"pub fn create_table4(\n  table: String,\n  column1: Column(a, b),\n  column2: Column(c, b),\n  column3: Column(d, b),\n  column4: Column(e, b),\n) -&gt; CreateTable(\n  #(Column(a, b), Column(c, b), Column(d, b), Column(e, b)),\n)\n\nSynonyms:\nstarmap/creation.create_table4\nstarmap/creation create_table4","url":"starmap/creation.html#create_table4"},{"doc":"starmap/creation","title":"create_table5","content":"pub fn create_table5(\n  table: String,\n  column1: Column(a, b),\n  column2: Column(c, b),\n  column3: Column(d, b),\n  column4: Column(e, b),\n  column5: Column(f, b),\n) -&gt; CreateTable(\n  #(\n    Column(a, b),\n    Column(c, b),\n    Column(d, b),\n    Column(e, b),\n    Column(f, b),\n  ),\n)\n\nSynonyms:\nstarmap/creation.create_table5\nstarmap/creation create_table5","url":"starmap/creation.html#create_table5"},{"doc":"starmap/creation","title":"create_table6","content":"pub fn create_table6(\n  table: String,\n  column1: Column(a, b),\n  column2: Column(c, b),\n  column3: Column(d, b),\n  column4: Column(e, b),\n  column5: Column(f, b),\n  column6: Column(g, b),\n) -&gt; CreateTable(\n  #(\n    Column(a, b),\n    Column(c, b),\n    Column(d, b),\n    Column(e, b),\n    Column(f, b),\n    Column(g, b),\n  ),\n)\n\nSynonyms:\nstarmap/creation.create_table6\nstarmap/creation create_table6","url":"starmap/creation.html#create_table6"},{"doc":"starmap/creation","title":"create_table7","content":"pub fn create_table7(\n  table: String,\n  column1: Column(a, b),\n  column2: Column(c, b),\n  column3: Column(d, b),\n  column4: Column(e, b),\n  column5: Column(f, b),\n  column6: Column(g, b),\n  column7: Column(h, b),\n) -&gt; CreateTable(\n  #(\n    Column(a, b),\n    Column(c, b),\n    Column(d, b),\n    Column(e, b),\n    Column(f, b),\n    Column(g, b),\n    Column(h, b),\n  ),\n)\n\nSynonyms:\nstarmap/creation.create_table7\nstarmap/creation create_table7","url":"starmap/creation.html#create_table7"},{"doc":"starmap/creation","title":"create_table8","content":"pub fn create_table8(\n  table: String,\n  column1: Column(a, b),\n  column2: Column(c, b),\n  column3: Column(d, b),\n  column4: Column(e, b),\n  column5: Column(f, b),\n  column6: Column(g, b),\n  column7: Column(h, b),\n  column8: Column(i, b),\n) -&gt; CreateTable(\n  #(\n    Column(a, b),\n    Column(c, b),\n    Column(d, b),\n    Column(e, b),\n    Column(f, b),\n    Column(g, b),\n    Column(h, b),\n    Column(i, b),\n  ),\n)\n\nSynonyms:\nstarmap/creation.create_table8\nstarmap/creation create_table8","url":"starmap/creation.html#create_table8"},{"doc":"starmap/creation","title":"create_table9","content":"pub fn create_table9(\n  table: String,\n  column1: Column(a, b),\n  column2: Column(c, b),\n  column3: Column(d, b),\n  column4: Column(e, b),\n  column5: Column(f, b),\n  column6: Column(g, b),\n  column7: Column(h, b),\n  column8: Column(i, b),\n  column9: Column(j, b),\n) -&gt; CreateTable(\n  #(\n    Column(a, b),\n    Column(c, b),\n    Column(d, b),\n    Column(e, b),\n    Column(f, b),\n    Column(g, b),\n    Column(h, b),\n    Column(i, b),\n    Column(j, b),\n  ),\n)\n\nSynonyms:\nstarmap/creation.create_table9\nstarmap/creation create_table9","url":"starmap/creation.html#create_table9"},{"doc":"starmap/creation","title":"starmap/creation","content":"","url":"starmap/creation.html"},{"doc":"starmap/insertion","title":"Insertion","content":"pub type Insertion(a, b) {\n  Insertion(table: String, columns: a, values: List(b))\n}\n\nInsertion(table: String, columns: a, values: List(b))\n\n\nSynonyms:\nstarmap/insertion.Insertion\nstarmap/insertion Insertion","url":"starmap/insertion.html#Insertion"},{"doc":"starmap/insertion","title":"columns1","content":"pub fn columns1(\n  insertion: Insertion(Nil, Nil),\n  column1: Column(a, b),\n) -&gt; Insertion(Column(a, b), a)\n\nSynonyms:\nstarmap/insertion.columns1\nstarmap/insertion columns1","url":"starmap/insertion.html#columns1"},{"doc":"starmap/insertion","title":"columns2","content":"pub fn columns2(\n  insertion: Insertion(Nil, Nil),\n  column1: Column(a, b),\n  column2: Column(c, b),\n) -&gt; Insertion(#(Column(a, b), Column(c, b)), #(a, c))\n\nSynonyms:\nstarmap/insertion.columns2\nstarmap/insertion columns2","url":"starmap/insertion.html#columns2"},{"doc":"starmap/insertion","title":"columns3","content":"pub fn columns3(\n  insertion: Insertion(Nil, Nil),\n  column1: Column(a, b),\n  column2: Column(c, b),\n  column3: Column(d, b),\n) -&gt; Insertion(\n  #(Column(a, b), Column(c, b), Column(d, b)),\n  #(a, c, d),\n)\n\nSynonyms:\nstarmap/insertion.columns3\nstarmap/insertion columns3","url":"starmap/insertion.html#columns3"},{"doc":"starmap/insertion","title":"columns4","content":"pub fn columns4(\n  insertion: Insertion(Nil, Nil),\n  column1: Column(a, b),\n  column2: Column(c, b),\n  column3: Column(d, b),\n  column4: Column(e, b),\n) -&gt; Insertion(\n  #(Column(a, b), Column(c, b), Column(d, b), Column(e, b)),\n  #(a, c, d, e),\n)\n\nSynonyms:\nstarmap/insertion.columns4\nstarmap/insertion columns4","url":"starmap/insertion.html#columns4"},{"doc":"starmap/insertion","title":"columns5","content":"pub fn columns5(\n  insertion: Insertion(Nil, Nil),\n  column1: Column(a, b),\n  column2: Column(c, b),\n  column3: Column(d, b),\n  column4: Column(e, b),\n  column5: Column(f, b),\n) -&gt; Insertion(\n  #(\n    Column(a, b),\n    Column(c, b),\n    Column(d, b),\n    Column(e, b),\n    Column(f, b),\n  ),\n  #(a, c, d, e, f),\n)\n\nSynonyms:\nstarmap/insertion.columns5\nstarmap/insertion columns5","url":"starmap/insertion.html#columns5"},{"doc":"starmap/insertion","title":"columns6","content":"pub fn columns6(\n  insertion: Insertion(Nil, Nil),\n  column1: Column(a, b),\n  column2: Column(c, b),\n  column3: Column(d, b),\n  column4: Column(e, b),\n  column5: Column(f, b),\n  column6: Column(g, b),\n) -&gt; Insertion(\n  #(\n    Column(a, b),\n    Column(c, b),\n    Column(d, b),\n    Column(e, b),\n    Column(f, b),\n    Column(g, b),\n  ),\n  #(a, c, d, e, f, g),\n)\n\nSynonyms:\nstarmap/insertion.columns6\nstarmap/insertion columns6","url":"starmap/insertion.html#columns6"},{"doc":"starmap/insertion","title":"columns7","content":"pub fn columns7(\n  insertion: Insertion(Nil, Nil),\n  column1: Column(a, b),\n  column2: Column(c, b),\n  column3: Column(d, b),\n  column4: Column(e, b),\n  column5: Column(f, b),\n  column6: Column(g, b),\n  column7: Column(h, b),\n) -&gt; Insertion(\n  #(\n    Column(a, b),\n    Column(c, b),\n    Column(d, b),\n    Column(e, b),\n    Column(f, b),\n    Column(g, b),\n    Column(h, b),\n  ),\n  #(a, c, d, e, f, g, h),\n)\n\nSynonyms:\nstarmap/insertion.columns7\nstarmap/insertion columns7","url":"starmap/insertion.html#columns7"},{"doc":"starmap/insertion","title":"columns8","content":"pub fn columns8(\n  insertion: Insertion(Nil, Nil),\n  column1: Column(a, b),\n  column2: Column(c, b),\n  column3: Column(d, b),\n  column4: Column(e, b),\n  column5: Column(f, b),\n  column6: Column(g, b),\n  column7: Column(h, b),\n  column8: Column(i, b),\n) -&gt; Insertion(\n  #(\n    Column(a, b),\n    Column(c, b),\n    Column(d, b),\n    Column(e, b),\n    Column(f, b),\n    Column(g, b),\n    Column(h, b),\n    Column(i, b),\n  ),\n  #(a, c, d, e, f, g, h, i),\n)\n\nSynonyms:\nstarmap/insertion.columns8\nstarmap/insertion columns8","url":"starmap/insertion.html#columns8"},{"doc":"starmap/insertion","title":"columns9","content":"pub fn columns9(\n  insertion: Insertion(Nil, Nil),\n  column1: Column(a, b),\n  column2: Column(c, b),\n  column3: Column(d, b),\n  column4: Column(e, b),\n  column5: Column(f, b),\n  column6: Column(g, b),\n  column7: Column(h, b),\n  column8: Column(i, b),\n  column9: Column(j, b),\n) -&gt; Insertion(\n  #(\n    Column(a, b),\n    Column(c, b),\n    Column(d, b),\n    Column(e, b),\n    Column(f, b),\n    Column(g, b),\n    Column(h, b),\n    Column(i, b),\n    Column(j, b),\n  ),\n  #(a, c, d, e, f, g, h, i),\n)\n\nSynonyms:\nstarmap/insertion.columns9\nstarmap/insertion columns9","url":"starmap/insertion.html#columns9"},{"doc":"starmap/insertion","title":"insert_into","content":"pub fn insert_into(table: String) -&gt; Insertion(Nil, Nil)\n\nSynonyms:\nstarmap/insertion.insert_into\nstarmap/insertion insert_into","url":"starmap/insertion.html#insert_into"},{"doc":"starmap/insertion","title":"value","content":"pub fn value(\n  insertion: Insertion(a, b),\n  value1: b,\n) -&gt; Insertion(a, b)\n\nSynonyms:\nstarmap/insertion.value\nstarmap/insertion value","url":"starmap/insertion.html#value"},{"doc":"starmap/insertion","title":"values","content":"pub fn values(\n  insertion: Insertion(a, b),\n  values: List(b),\n) -&gt; Insertion(a, b)\n\nSynonyms:\nstarmap/insertion.values\nstarmap/insertion values","url":"starmap/insertion.html#values"},{"doc":"starmap/insertion","title":"starmap/insertion","content":"","url":"starmap/insertion.html"},{"doc":"starmap/query","title":"ConvertedWhere","content":"pub type ConvertedWhere(value) {\n  ConvertedEqual(columns: ConvertedWhereColumns(value))\n  ConvertedNotEqual(columns: ConvertedWhereColumns(value))\n  ConvertedIsNull(column: TableColumn)\n  ConvertedIsNotNull(column: TableColumn)\n  ConvertedGreater(columns: ConvertedWhereColumns(value))\n  ConvertedGreaterOrEqual(columns: ConvertedWhereColumns(value))\n  ConvertedLower(columns: ConvertedWhereColumns(value))\n  ConvertedLowerOrEqual(columns: ConvertedWhereColumns(value))\n  ConvertedOr(\n    where1: ConvertedWhere(value),\n    where2: ConvertedWhere(value),\n  )\n}\n Where in a listable format\nConvertedEqual(columns: ConvertedWhereColumns(value))\n\n\nConvertedNotEqual(columns: ConvertedWhereColumns(value))\n\n\nConvertedIsNull(column: TableColumn)\n\n\nConvertedIsNotNull(column: TableColumn)\n\n\nConvertedGreater(columns: ConvertedWhereColumns(value))\n\n\nConvertedGreaterOrEqual(columns: ConvertedWhereColumns(value))\n\n\nConvertedLower(columns: ConvertedWhereColumns(value))\n\n\nConvertedLowerOrEqual(columns: ConvertedWhereColumns(value))\n\n\nConvertedOr(\n  where1: ConvertedWhere(value),\n  where2: ConvertedWhere(value),\n)\n\n\nSynonyms:\nstarmap/query.ConvertedWhere\nstarmap/query ConvertedWhere","url":"starmap/query.html#ConvertedWhere"},{"doc":"starmap/query","title":"ConvertedWhereColumns","content":"pub type ConvertedWhereColumns(value) {\n  ConvertedColumnValue(column: TableColumn, val: value)\n  ConvertedColumns(column1: TableColumn, column2: TableColumn)\n}\n\nConvertedColumnValue(column: TableColumn, val: value)\n\n\nConvertedColumns(column1: TableColumn, column2: TableColumn)\n\n\nSynonyms:\nstarmap/query.ConvertedWhereColumns\nstarmap/query ConvertedWhereColumns","url":"starmap/query.html#ConvertedWhereColumns"},{"doc":"starmap/query","title":"Join","content":"pub type Join {\n  Join(column1: TableColumn, column2: TableColumn)\n}\n\nJoin(column1: TableColumn, column2: TableColumn)\n\n\nSynonyms:\nstarmap/query.Join\nstarmap/query Join","url":"starmap/query.html#Join"},{"doc":"starmap/query","title":"Query","content":"pub type Query(t_columns, t_value) {\n  Query(\n    table: String,\n    columns: t_columns,\n    joins: List(Join),\n    wheres: List(ConvertedWhere(t_value)),\n    order_by: List(#(TableColumn, String)),\n    group_by: List(TableColumn),\n    limit: Option(Int),\n  )\n}\n\nQuery(\n  table: String,\n  columns: t_columns,\n  joins: List(Join),\n  wheres: List(ConvertedWhere(t_value)),\n  order_by: List(#(TableColumn, String)),\n  group_by: List(TableColumn),\n  limit: Option(Int),\n)\n\n\nSynonyms:\nstarmap/query.Query\nstarmap/query Query","url":"starmap/query.html#Query"},{"doc":"starmap/query","title":"TableColumn","content":"pub type TableColumn {\n  TableColumn(table: String, column: String)\n}\n\nTableColumn(table: String, column: String)\n\n\nSynonyms:\nstarmap/query.TableColumn\nstarmap/query TableColumn","url":"starmap/query.html#TableColumn"},{"doc":"starmap/query","title":"Where","content":"pub type Where(a, b, value) {\n  Equal(columns: WhereColumns(a, value))\n  NotEqual(columns: WhereColumns(a, value))\n  IsNull(column: Column(Option(a), value))\n  IsNotNull(column: Column(Option(a), value))\n  Greater(columns: WhereColumns(a, value))\n  GreaterOrEqual(columns: WhereColumns(a, value))\n  Lower(columns: WhereColumns(a, value))\n  LowerOrEqual(columns: WhereColumns(a, value))\n  Or(where1: Where(a, b, value), where2: Where(b, a, value))\n}\n\nEqual(columns: WhereColumns(a, value))\n\n\nNotEqual(columns: WhereColumns(a, value))\n\n\nIsNull(column: Column(Option(a), value))\n\n\nIsNotNull(column: Column(Option(a), value))\n\n\nGreater(columns: WhereColumns(a, value))\n\n\nGreaterOrEqual(columns: WhereColumns(a, value))\n\n\nLower(columns: WhereColumns(a, value))\n\n\nLowerOrEqual(columns: WhereColumns(a, value))\n\n\nOr(where1: Where(a, b, value), where2: Where(b, a, value))\n\n\nSynonyms:\nstarmap/query.Where\nstarmap/query Where","url":"starmap/query.html#Where"},{"doc":"starmap/query","title":"WhereColumns","content":"pub type WhereColumns(a, value) {\n  ColumnValue(column: Column(a, value), val: a)\n  Columns(column1: Column(a, value), column2: Column(a, value))\n  ColumnsOneNullable(\n    column1: Column(a, value),\n    column2: Column(Option(a), value),\n  )\n}\n\nColumnValue(column: Column(a, value), val: a)\n\n\nColumns(column1: Column(a, value), column2: Column(a, value))\n\n\nColumnsOneNullable(\n  column1: Column(a, value),\n  column2: Column(Option(a), value),\n)\n\n\nSynonyms:\nstarmap/query.WhereColumns\nstarmap/query WhereColumns","url":"starmap/query.html#WhereColumns"},{"doc":"starmap/query","title":"from","content":"pub fn from(table: String) -&gt; Query(Nil, a)\n\nSynonyms:\nstarmap/query.from\nstarmap/query from","url":"starmap/query.html#from"},{"doc":"starmap/query","title":"group_by","content":"pub fn group_by(\n  query: Query(a, b),\n  column: Column(c, d),\n) -&gt; Query(a, b)\n\nSynonyms:\nstarmap/query.group_by\nstarmap/query group_by","url":"starmap/query.html#group_by"},{"doc":"starmap/query","title":"join","content":"pub fn join(\n  query: Query(a, b),\n  column1: Column(c, d),\n  column2: Column(c, d),\n) -&gt; Query(a, b)\n\nSynonyms:\nstarmap/query.join\nstarmap/query join","url":"starmap/query.html#join"},{"doc":"starmap/query","title":"limit","content":"pub fn limit(query: Query(a, b), amount: Int) -&gt; Query(a, b)\n\nSynonyms:\nstarmap/query.limit\nstarmap/query limit","url":"starmap/query.html#limit"},{"doc":"starmap/query","title":"order_by","content":"pub fn order_by(\n  query: Query(a, b),\n  column: Column(c, d),\n) -&gt; Query(a, b)\n\nSynonyms:\nstarmap/query.order_by\nstarmap/query order_by","url":"starmap/query.html#order_by"},{"doc":"starmap/query","title":"order_by_desc","content":"pub fn order_by_desc(\n  query: Query(a, b),\n  column: Column(c, d),\n) -&gt; Query(a, b)\n\nSynonyms:\nstarmap/query.order_by_desc\nstarmap/query order_by_desc","url":"starmap/query.html#order_by_desc"},{"doc":"starmap/query","title":"select1","content":"pub fn select1(\n  query: Query(Nil, a),\n  column1: Column(b, c),\n) -&gt; Query(Column(b, c), a)\n\nSynonyms:\nstarmap/query.select1\nstarmap/query select1","url":"starmap/query.html#select1"},{"doc":"starmap/query","title":"select2","content":"pub fn select2(\n  query: Query(Nil, a),\n  column1: Column(b, c),\n  column2: Column(d, c),\n) -&gt; Query(#(Column(b, c), Column(d, c)), a)\n\nSynonyms:\nstarmap/query.select2\nstarmap/query select2","url":"starmap/query.html#select2"},{"doc":"starmap/query","title":"select3","content":"pub fn select3(\n  query: Query(Nil, a),\n  column1: Column(b, c),\n  column2: Column(d, c),\n  column3: Column(e, c),\n) -&gt; Query(#(Column(b, c), Column(d, c), Column(e, c)), a)\n\nSynonyms:\nstarmap/query.select3\nstarmap/query select3","url":"starmap/query.html#select3"},{"doc":"starmap/query","title":"select4","content":"pub fn select4(\n  query: Query(Nil, a),\n  column1: Column(b, c),\n  column2: Column(d, c),\n  column3: Column(e, c),\n  column4: Column(f, c),\n) -&gt; Query(\n  #(Column(b, c), Column(d, c), Column(e, c), Column(f, c)),\n  a,\n)\n\nSynonyms:\nstarmap/query.select4\nstarmap/query select4","url":"starmap/query.html#select4"},{"doc":"starmap/query","title":"select5","content":"pub fn select5(\n  query: Query(Nil, a),\n  column1: Column(b, c),\n  column2: Column(d, c),\n  column3: Column(e, c),\n  column4: Column(f, c),\n  column5: Column(g, c),\n) -&gt; Query(\n  #(\n    Column(b, c),\n    Column(d, c),\n    Column(e, c),\n    Column(f, c),\n    Column(g, c),\n  ),\n  a,\n)\n\nSynonyms:\nstarmap/query.select5\nstarmap/query select5","url":"starmap/query.html#select5"},{"doc":"starmap/query","title":"select6","content":"pub fn select6(\n  query: Query(Nil, a),\n  column1: Column(b, c),\n  column2: Column(d, c),\n  column3: Column(e, c),\n  column4: Column(f, c),\n  column5: Column(g, c),\n  column6: Column(h, c),\n) -&gt; Query(\n  #(\n    Column(b, c),\n    Column(d, c),\n    Column(e, c),\n    Column(f, c),\n    Column(g, c),\n    Column(h, c),\n  ),\n  a,\n)\n\nSynonyms:\nstarmap/query.select6\nstarmap/query select6","url":"starmap/query.html#select6"},{"doc":"starmap/query","title":"unwrap_converted_wheres","content":"pub fn unwrap_converted_wheres(\n  converted_wheres: List(ConvertedWhere(a)),\n) -&gt; List(Option(ConvertedWhereColumns(a)))\n\nSynonyms:\nstarmap/query.unwrap_converted_wheres\nstarmap/query unwrap_converted_wheres","url":"starmap/query.html#unwrap_converted_wheres"},{"doc":"starmap/query","title":"where","content":"pub fn where(\n  query: Query(a, b),\n  where: Where(c, d, b),\n) -&gt; Query(a, b)\n\nSynonyms:\nstarmap/query.where\nstarmap/query where","url":"starmap/query.html#where"},{"doc":"starmap/query","title":"starmap/query","content":"","url":"starmap/query.html"},{"doc":"starmap/sqlight/convert","title":"create_table1","content":"pub fn create_table1(\n  create_table: CreateTable(Column(a, b)),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.create_table1\nstarmap/sqlight/convert create_table1","url":"starmap/sqlight/convert.html#create_table1"},{"doc":"starmap/sqlight/convert","title":"create_table2","content":"pub fn create_table2(\n  create_table: CreateTable(#(Column(a, b), Column(c, b))),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.create_table2\nstarmap/sqlight/convert create_table2","url":"starmap/sqlight/convert.html#create_table2"},{"doc":"starmap/sqlight/convert","title":"create_table3","content":"pub fn create_table3(\n  create_table: CreateTable(\n    #(Column(a, b), Column(c, b), Column(d, b)),\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.create_table3\nstarmap/sqlight/convert create_table3","url":"starmap/sqlight/convert.html#create_table3"},{"doc":"starmap/sqlight/convert","title":"create_table4","content":"pub fn create_table4(\n  create_table: CreateTable(\n    #(Column(a, b), Column(c, b), Column(d, b), Column(e, b)),\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.create_table4\nstarmap/sqlight/convert create_table4","url":"starmap/sqlight/convert.html#create_table4"},{"doc":"starmap/sqlight/convert","title":"create_table5","content":"pub fn create_table5(\n  create_table: CreateTable(\n    #(\n      Column(a, b),\n      Column(c, b),\n      Column(d, b),\n      Column(e, b),\n      Column(f, b),\n    ),\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.create_table5\nstarmap/sqlight/convert create_table5","url":"starmap/sqlight/convert.html#create_table5"},{"doc":"starmap/sqlight/convert","title":"create_table6","content":"pub fn create_table6(\n  create_table: CreateTable(\n    #(\n      Column(a, b),\n      Column(c, b),\n      Column(d, b),\n      Column(e, b),\n      Column(f, b),\n      Column(g, b),\n    ),\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.create_table6\nstarmap/sqlight/convert create_table6","url":"starmap/sqlight/convert.html#create_table6"},{"doc":"starmap/sqlight/convert","title":"create_table7","content":"pub fn create_table7(\n  create_table: CreateTable(\n    #(\n      Column(a, b),\n      Column(c, b),\n      Column(d, b),\n      Column(e, b),\n      Column(f, b),\n      Column(g, b),\n      Column(h, b),\n    ),\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.create_table7\nstarmap/sqlight/convert create_table7","url":"starmap/sqlight/convert.html#create_table7"},{"doc":"starmap/sqlight/convert","title":"create_table8","content":"pub fn create_table8(\n  create_table: CreateTable(\n    #(\n      Column(a, b),\n      Column(c, b),\n      Column(d, b),\n      Column(e, b),\n      Column(f, b),\n      Column(g, b),\n      Column(h, b),\n      Column(i, b),\n    ),\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.create_table8\nstarmap/sqlight/convert create_table8","url":"starmap/sqlight/convert.html#create_table8"},{"doc":"starmap/sqlight/convert","title":"create_table9","content":"pub fn create_table9(\n  create_table: CreateTable(\n    #(\n      Column(a, b),\n      Column(c, b),\n      Column(d, b),\n      Column(e, b),\n      Column(f, b),\n      Column(g, b),\n      Column(h, b),\n      Column(i, b),\n      Column(j, b),\n    ),\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.create_table9\nstarmap/sqlight/convert create_table9","url":"starmap/sqlight/convert.html#create_table9"},{"doc":"starmap/sqlight/convert","title":"insertion1","content":"pub fn insertion1(\n  insertion: Insertion(Column(a, b), a),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.insertion1\nstarmap/sqlight/convert insertion1","url":"starmap/sqlight/convert.html#insertion1"},{"doc":"starmap/sqlight/convert","title":"insertion2","content":"pub fn insertion2(\n  insertion: Insertion(#(Column(a, b), Column(c, b)), #(a, c)),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.insertion2\nstarmap/sqlight/convert insertion2","url":"starmap/sqlight/convert.html#insertion2"},{"doc":"starmap/sqlight/convert","title":"insertion3","content":"pub fn insertion3(\n  insertion: Insertion(\n    #(Column(a, b), Column(c, b), Column(d, b)),\n    #(a, c, d),\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.insertion3\nstarmap/sqlight/convert insertion3","url":"starmap/sqlight/convert.html#insertion3"},{"doc":"starmap/sqlight/convert","title":"insertion4","content":"pub fn insertion4(\n  insertion: Insertion(\n    #(Column(a, b), Column(c, b), Column(d, b), Column(e, b)),\n    #(a, c, d, e),\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.insertion4\nstarmap/sqlight/convert insertion4","url":"starmap/sqlight/convert.html#insertion4"},{"doc":"starmap/sqlight/convert","title":"insertion5","content":"pub fn insertion5(\n  insertion: Insertion(\n    #(\n      Column(a, b),\n      Column(c, b),\n      Column(d, b),\n      Column(e, b),\n      Column(f, b),\n    ),\n    #(a, c, d, e, f),\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.insertion5\nstarmap/sqlight/convert insertion5","url":"starmap/sqlight/convert.html#insertion5"},{"doc":"starmap/sqlight/convert","title":"insertion6","content":"pub fn insertion6(\n  insertion: Insertion(\n    #(\n      Column(a, b),\n      Column(c, b),\n      Column(d, b),\n      Column(e, b),\n      Column(f, b),\n      Column(g, b),\n    ),\n    #(a, c, d, e, f, g),\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.insertion6\nstarmap/sqlight/convert insertion6","url":"starmap/sqlight/convert.html#insertion6"},{"doc":"starmap/sqlight/convert","title":"query1","content":"pub fn query1(query: Query(Column(a, b), c)) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.query1\nstarmap/sqlight/convert query1","url":"starmap/sqlight/convert.html#query1"},{"doc":"starmap/sqlight/convert","title":"query2","content":"pub fn query2(\n  query: Query(#(Column(a, b), Column(c, b)), d),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.query2\nstarmap/sqlight/convert query2","url":"starmap/sqlight/convert.html#query2"},{"doc":"starmap/sqlight/convert","title":"query3","content":"pub fn query3(\n  query: Query(#(Column(a, b), Column(c, b), Column(d, b)), e),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.query3\nstarmap/sqlight/convert query3","url":"starmap/sqlight/convert.html#query3"},{"doc":"starmap/sqlight/convert","title":"query4","content":"pub fn query4(\n  query: Query(\n    #(Column(a, b), Column(c, b), Column(d, b), Column(e, b)),\n    f,\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.query4\nstarmap/sqlight/convert query4","url":"starmap/sqlight/convert.html#query4"},{"doc":"starmap/sqlight/convert","title":"query5","content":"pub fn query5(\n  query: Query(\n    #(\n      Column(a, b),\n      Column(c, b),\n      Column(d, b),\n      Column(e, b),\n      Column(f, b),\n    ),\n    g,\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.query5\nstarmap/sqlight/convert query5","url":"starmap/sqlight/convert.html#query5"},{"doc":"starmap/sqlight/convert","title":"query6","content":"pub fn query6(\n  query: Query(\n    #(\n      Column(a, b),\n      Column(c, b),\n      Column(d, b),\n      Column(e, b),\n      Column(f, b),\n      Column(g, b),\n    ),\n    h,\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.query6\nstarmap/sqlight/convert query6","url":"starmap/sqlight/convert.html#query6"},{"doc":"starmap/sqlight/convert","title":"query7","content":"pub fn query7(\n  query: Query(\n    #(\n      Column(a, b),\n      Column(c, b),\n      Column(d, b),\n      Column(e, b),\n      Column(f, b),\n      Column(g, b),\n      Column(h, b),\n    ),\n    i,\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.query7\nstarmap/sqlight/convert query7","url":"starmap/sqlight/convert.html#query7"},{"doc":"starmap/sqlight/convert","title":"query8","content":"pub fn query8(\n  query: Query(\n    #(\n      Column(a, b),\n      Column(c, b),\n      Column(d, b),\n      Column(e, b),\n      Column(f, b),\n      Column(g, b),\n      Column(h, b),\n      Column(i, b),\n    ),\n    j,\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.query8\nstarmap/sqlight/convert query8","url":"starmap/sqlight/convert.html#query8"},{"doc":"starmap/sqlight/convert","title":"query9","content":"pub fn query9(\n  query: Query(\n    #(\n      Column(a, b),\n      Column(c, b),\n      Column(d, b),\n      Column(e, b),\n      Column(f, b),\n      Column(g, b),\n      Column(h, b),\n      Column(i, b),\n      Column(j, b),\n    ),\n    k,\n  ),\n) -&gt; String\n\nSynonyms:\nstarmap/sqlight/convert.query9\nstarmap/sqlight/convert query9","url":"starmap/sqlight/convert.html#query9"},{"doc":"starmap/sqlight/convert","title":"starmap/sqlight/convert","content":"","url":"starmap/sqlight/convert.html"},{"doc":"starmap/sqlight/execute","title":"create_table1","content":"pub fn create_table1(\n  create_table: CreateTable(Column(a, Value)),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.create_table1\nstarmap/sqlight/execute create_table1","url":"starmap/sqlight/execute.html#create_table1"},{"doc":"starmap/sqlight/execute","title":"create_table2","content":"pub fn create_table2(\n  create_table: CreateTable(#(Column(a, Value), Column(b, Value))),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.create_table2\nstarmap/sqlight/execute create_table2","url":"starmap/sqlight/execute.html#create_table2"},{"doc":"starmap/sqlight/execute","title":"create_table3","content":"pub fn create_table3(\n  create_table: CreateTable(\n    #(Column(a, Value), Column(b, Value), Column(c, Value)),\n  ),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.create_table3\nstarmap/sqlight/execute create_table3","url":"starmap/sqlight/execute.html#create_table3"},{"doc":"starmap/sqlight/execute","title":"create_table4","content":"pub fn create_table4(\n  create_table: CreateTable(\n    #(\n      Column(a, Value),\n      Column(b, Value),\n      Column(c, Value),\n      Column(d, Value),\n    ),\n  ),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.create_table4\nstarmap/sqlight/execute create_table4","url":"starmap/sqlight/execute.html#create_table4"},{"doc":"starmap/sqlight/execute","title":"create_table5","content":"pub fn create_table5(\n  create_table: CreateTable(\n    #(\n      Column(a, Value),\n      Column(b, Value),\n      Column(c, Value),\n      Column(d, Value),\n      Column(e, Value),\n    ),\n  ),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.create_table5\nstarmap/sqlight/execute create_table5","url":"starmap/sqlight/execute.html#create_table5"},{"doc":"starmap/sqlight/execute","title":"create_table6","content":"pub fn create_table6(\n  create_table: CreateTable(\n    #(\n      Column(a, Value),\n      Column(b, Value),\n      Column(c, Value),\n      Column(d, Value),\n      Column(e, Value),\n      Column(f, Value),\n    ),\n  ),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.create_table6\nstarmap/sqlight/execute create_table6","url":"starmap/sqlight/execute.html#create_table6"},{"doc":"starmap/sqlight/execute","title":"create_table7","content":"pub fn create_table7(\n  create_table: CreateTable(\n    #(\n      Column(a, Value),\n      Column(b, Value),\n      Column(c, Value),\n      Column(d, Value),\n      Column(e, Value),\n      Column(f, Value),\n      Column(g, Value),\n    ),\n  ),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.create_table7\nstarmap/sqlight/execute create_table7","url":"starmap/sqlight/execute.html#create_table7"},{"doc":"starmap/sqlight/execute","title":"create_table8","content":"pub fn create_table8(\n  create_table: CreateTable(\n    #(\n      Column(a, Value),\n      Column(b, Value),\n      Column(c, Value),\n      Column(d, Value),\n      Column(e, Value),\n      Column(f, Value),\n      Column(g, Value),\n      Column(h, Value),\n    ),\n  ),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.create_table8\nstarmap/sqlight/execute create_table8","url":"starmap/sqlight/execute.html#create_table8"},{"doc":"starmap/sqlight/execute","title":"create_table9","content":"pub fn create_table9(\n  create_table: CreateTable(\n    #(\n      Column(a, Value),\n      Column(b, Value),\n      Column(c, Value),\n      Column(d, Value),\n      Column(e, Value),\n      Column(f, Value),\n      Column(g, Value),\n      Column(h, Value),\n      Column(i, Value),\n    ),\n  ),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.create_table9\nstarmap/sqlight/execute create_table9","url":"starmap/sqlight/execute.html#create_table9"},{"doc":"starmap/sqlight/execute","title":"insertion1","content":"pub fn insertion1(\n  insertion: Insertion(Column(a, Value), a),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.insertion1\nstarmap/sqlight/execute insertion1","url":"starmap/sqlight/execute.html#insertion1"},{"doc":"starmap/sqlight/execute","title":"insertion2","content":"pub fn insertion2(\n  insertion: Insertion(\n    #(Column(a, Value), Column(b, Value)),\n    #(a, b),\n  ),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.insertion2\nstarmap/sqlight/execute insertion2","url":"starmap/sqlight/execute.html#insertion2"},{"doc":"starmap/sqlight/execute","title":"insertion3","content":"pub fn insertion3(\n  insertion: Insertion(\n    #(Column(a, Value), Column(b, Value), Column(c, Value)),\n    #(a, b, c),\n  ),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.insertion3\nstarmap/sqlight/execute insertion3","url":"starmap/sqlight/execute.html#insertion3"},{"doc":"starmap/sqlight/execute","title":"insertion4","content":"pub fn insertion4(\n  insertion: Insertion(\n    #(\n      Column(a, Value),\n      Column(b, Value),\n      Column(c, Value),\n      Column(d, Value),\n    ),\n    #(a, b, c, d),\n  ),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.insertion4\nstarmap/sqlight/execute insertion4","url":"starmap/sqlight/execute.html#insertion4"},{"doc":"starmap/sqlight/execute","title":"insertion5","content":"pub fn insertion5(\n  insertion: Insertion(\n    #(\n      Column(a, Value),\n      Column(b, Value),\n      Column(c, Value),\n      Column(d, Value),\n      Column(e, Value),\n    ),\n    #(a, b, c, d, e),\n  ),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.insertion5\nstarmap/sqlight/execute insertion5","url":"starmap/sqlight/execute.html#insertion5"},{"doc":"starmap/sqlight/execute","title":"insertion6","content":"pub fn insertion6(\n  insertion: Insertion(\n    #(\n      Column(a, Value),\n      Column(b, Value),\n      Column(c, Value),\n      Column(d, Value),\n      Column(e, Value),\n      Column(f, Value),\n    ),\n    #(a, b, c, d, e, f),\n  ),\n  conn: Connection,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\nstarmap/sqlight/execute.insertion6\nstarmap/sqlight/execute insertion6","url":"starmap/sqlight/execute.html#insertion6"},{"doc":"starmap/sqlight/execute","title":"query1","content":"pub fn query1(\n  query: Query(Column(a, Value), b),\n  conn: Connection,\n) -&gt; Result(List(a), Error)\n\nSynonyms:\nstarmap/sqlight/execute.query1\nstarmap/sqlight/execute query1","url":"starmap/sqlight/execute.html#query1"},{"doc":"starmap/sqlight/execute","title":"query2","content":"pub fn query2(\n  query: Query(#(Column(a, Value), Column(b, Value)), Value),\n  conn: Connection,\n) -&gt; Result(List(#(a, b)), Error)\n\nSynonyms:\nstarmap/sqlight/execute.query2\nstarmap/sqlight/execute query2","url":"starmap/sqlight/execute.html#query2"},{"doc":"starmap/sqlight/execute","title":"query3","content":"pub fn query3(\n  query: Query(\n    #(Column(a, Value), Column(b, Value), Column(c, Value)),\n    Value,\n  ),\n  conn: Connection,\n) -&gt; Result(List(#(a, b, c)), Error)\n\nSynonyms:\nstarmap/sqlight/execute.query3\nstarmap/sqlight/execute query3","url":"starmap/sqlight/execute.html#query3"},{"doc":"starmap/sqlight/execute","title":"query4","content":"pub fn query4(\n  query: Query(\n    #(\n      Column(a, Value),\n      Column(b, Value),\n      Column(c, Value),\n      Column(d, Value),\n    ),\n    Value,\n  ),\n  conn: Connection,\n) -&gt; Result(List(#(a, b, c, d)), Error)\n\nSynonyms:\nstarmap/sqlight/execute.query4\nstarmap/sqlight/execute query4","url":"starmap/sqlight/execute.html#query4"},{"doc":"starmap/sqlight/execute","title":"query5","content":"pub fn query5(\n  query: Query(\n    #(\n      Column(a, Value),\n      Column(b, Value),\n      Column(c, Value),\n      Column(d, Value),\n      Column(e, Value),\n    ),\n    Value,\n  ),\n  conn: Connection,\n) -&gt; Result(List(#(a, b, c, d, e)), Error)\n\nSynonyms:\nstarmap/sqlight/execute.query5\nstarmap/sqlight/execute query5","url":"starmap/sqlight/execute.html#query5"},{"doc":"starmap/sqlight/execute","title":"query6","content":"pub fn query6(\n  query: Query(\n    #(\n      Column(a, Value),\n      Column(b, Value),\n      Column(c, Value),\n      Column(d, Value),\n      Column(e, Value),\n      Column(f, Value),\n    ),\n    Value,\n  ),\n  conn: Connection,\n) -&gt; Result(List(#(a, b, c, d, e, f)), Error)\n\nSynonyms:\nstarmap/sqlight/execute.query6\nstarmap/sqlight/execute query6","url":"starmap/sqlight/execute.html#query6"},{"doc":"starmap/sqlight/execute","title":"starmap/sqlight/execute","content":"","url":"starmap/sqlight/execute.html"},{"doc":"starmap/sqlight/types","title":"blob","content":"pub const blob: ColumnType(BitArray, Value)\n\nSynonyms:\nstarmap/sqlight/types.blob\nstarmap/sqlight/types blob","url":"starmap/sqlight/types.html#blob"},{"doc":"starmap/sqlight/types","title":"blob_nullable","content":"pub const blob_nullable: ColumnType(Option(BitArray), Value)\n\nSynonyms:\nstarmap/sqlight/types.blob_nullable\nstarmap/sqlight/types blob_nullable","url":"starmap/sqlight/types.html#blob_nullable"},{"doc":"starmap/sqlight/types","title":"bool","content":"pub const bool: ColumnType(Bool, Value)\n\nSynonyms:\nstarmap/sqlight/types.bool\nstarmap/sqlight/types bool","url":"starmap/sqlight/types.html#bool"},{"doc":"starmap/sqlight/types","title":"bool_nullable","content":"pub const bool_nullable: ColumnType(Option(Bool), Value)\n\nSynonyms:\nstarmap/sqlight/types.bool_nullable\nstarmap/sqlight/types bool_nullable","url":"starmap/sqlight/types.html#bool_nullable"},{"doc":"starmap/sqlight/types","title":"integer","content":"pub const integer: ColumnType(Int, Value)\n\nSynonyms:\nstarmap/sqlight/types.integer\nstarmap/sqlight/types integer","url":"starmap/sqlight/types.html#integer"},{"doc":"starmap/sqlight/types","title":"integer_nullable","content":"pub const integer_nullable: ColumnType(Option(Int), Value)\n\nSynonyms:\nstarmap/sqlight/types.integer_nullable\nstarmap/sqlight/types integer_nullable","url":"starmap/sqlight/types.html#integer_nullable"},{"doc":"starmap/sqlight/types","title":"real","content":"pub const real: ColumnType(Float, Value)\n\nSynonyms:\nstarmap/sqlight/types.real\nstarmap/sqlight/types real","url":"starmap/sqlight/types.html#real"},{"doc":"starmap/sqlight/types","title":"real_nullable","content":"pub const real_nullable: ColumnType(Option(Float), Value)\n\nSynonyms:\nstarmap/sqlight/types.real_nullable\nstarmap/sqlight/types real_nullable","url":"starmap/sqlight/types.html#real_nullable"},{"doc":"starmap/sqlight/types","title":"text","content":"pub const text: ColumnType(String, Value)\n\nSynonyms:\nstarmap/sqlight/types.text\nstarmap/sqlight/types text","url":"starmap/sqlight/types.html#text"},{"doc":"starmap/sqlight/types","title":"text_nullable","content":"pub const text_nullable: ColumnType(Option(String), Value)\n\nSynonyms:\nstarmap/sqlight/types.text_nullable\nstarmap/sqlight/types text_nullable","url":"starmap/sqlight/types.html#text_nullable"},{"doc":"starmap/sqlight/types","title":"starmap/sqlight/types","content":"","url":"starmap/sqlight/types.html"}]);